<?php

namespace Workdo\MobileServiceManagement\Events;

use Illuminate\Queue\SerializesModels;

class DestroyMobileServiceLiveTrackingData
{
    use SerializesModels;

    public $liveTrackingData;
    
    /**
     * Create a new event instance.
     *
     * @return void
     */
    public function __construct($liveTrackingData)
    {
        $this->liveTrackingData = $liveTrackingData;
    }

    /**
     * Get the channels the event should be broadcast on.
     *
     * @return array
     */
    public function broadcastOn()
    {
        return [];
    }
}
